A-A+

CATIA VBA(VBS)二次开发:使用Search批量选择元素

2020年04月04日 CAD 阅读 1,372 views 次

在CATIA二次开发中很多在程序中进行自动交互的方法或函数都需要使用选择集作为参数,将几何元素按照要求批量添加到选择集中也是实现程序自动运行的有效方法。在前面的文章《CATIA使用VBA(VBS)二次开发时用户的交互选择》《CATIA使用VBA(VBS)二次开发时工程图和草图位置的交互选择函数Indicate2D》中介绍了在CATIA VBA(VBS)二次开发中用户和选择集之间的交互操作。本文将介绍使用VBA(VBS)进行CATIA二次开发时使用Selection类下的Search方法(函数)进行元素的批量选择,通过程序将指定类型的元素自动添加到选择集中的方法。Search方法的定义如下:

Sub Search( CATBSTR  iStringBSTR)

其中参数iStringBSTR为按照Edit/Search语法定义的选择规则。函数按照选择规则将符合要求的元素添加到Selection选择集。

例如:

(1)选择Part中颜色为白色的草图

CATIA.ActiveDocument.Selection.Search("Part.Sketcher.Color='White',all")

(2)在装配图中选择部件中的参考平面

CATIA.ActiveDocument.Selection.Search("'PartDesign'.Plane, all")

同样,选择点、曲线、草图、轴系分别对应:Point、Curve、Sketch、AxisSystem。

(3)在装配图中选择约束

CATIA.ActiveDocument.Selection.Search("'AssemblyDesign'.Constraint, all")

(4)同时选择多种类型时可用+连接

CATIA.ActiveDocument.Selection.Search("'PartDesign'.Plane + 'Assembly Design'.Constraint + 'Part Design'. Axis System, all")

个人公众号“数字化设计CAX联盟”,欢迎关注,共同交流
为您推荐:

给我留言

© 坐倚北风 版权所有 严禁镜像复制 苏ICP备15034888号. 基于 Ality 主题定制 AliCMS
联系邮箱:leanwind@163.con,微信公众号:数字化设计CAX联盟

用户登录

分享到: